uniform samplerCube	u_ColorMap;
uniform vec3		u_ViewOrigin;
varying vec3		var_Position;
varying vec3		var_Normal;

void	main()
{
	vec3 I = normalize(var_Position - u_ViewOrigin);	 
	vec3 N = normalize(var_Normal);	 
	vec3 R = reflect(I, N);
	vec4 reflectColor = textureCube(u_ColorMap, R).rgba;	 
	vec4 color = reflectColor;

	gl_FragColor = color;
}
